summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/etcher/Manifest2
-rw-r--r--sys-boot/etcher/etcher-1.18.4-r2.ebuild48
-rw-r--r--sys-boot/etcher/etcher-1.19.21.ebuild38
-rw-r--r--sys-boot/etcher/files/balenaEtcher.desktop10
4 files changed, 39 insertions, 59 deletions
diff --git a/sys-boot/etcher/Manifest b/sys-boot/etcher/Manifest
index cb6dd8e0..f9d0c6cf 100644
--- a/sys-boot/etcher/Manifest
+++ b/sys-boot/etcher/Manifest
@@ -1 +1 @@
-DIST balenaEtcher-1.18.4-x64.AppImage 99670655 BLAKE2B 1459743b180afbb9e57d32b9b5e808cf875378b0ec93f5af02a04c1b270ebbea46a240ff0a76afa984ab43965cb630198b845f331fda07ca90e962f18c706880 SHA512 dd349cbe15be7df164cf0423c720bf800fd26fbe56532ba3cb743879ff638a082f1cf2281c444131b1f270b9d5a3f1ced91a1b91747569eecdce603356c46a60
+DIST balena-etcher_1.19.21_amd64.deb 110310096 BLAKE2B 796cafc828029caddc0b0b2258712cf2656628366f268689e3d33ea9d721fd17560f3f3364e80c09c866af237459b839f505401e3045079b029244e703e575d7 SHA512 9b553544e26c392ae83a9bba4a5ee81fd85e1bdda89765bd06367563cab2e94a69fdf209a8e2da84dc87413c351b0783ed42c8fa7b402e62369c55e2d132faf9
diff --git a/sys-boot/etcher/etcher-1.18.4-r2.ebuild b/sys-boot/etcher/etcher-1.18.4-r2.ebuild
deleted file mode 100644
index eda797cd..00000000
--- a/sys-boot/etcher/etcher-1.18.4-r2.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=8
-
-MY_PN="balenaEtcher"
-
-inherit desktop xdg-utils
-
-DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
-HOMEPAGE="https://etcher.io/"
-SRC_URI="https://github.com/balena-io/${PN}/releases/download/v${PV}/${MY_PN}-${PV}-x64.AppImage"
-
-LICENSE="GPL2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-DEPEND="dev-libs/nss
- media-libs/alsa-lib
- sys-apps/lsb-release
- x11-libs/gtk+:2
- x11-libs/libXtst
- x11-libs/libnotify"
-RDEPEND="${DEPEND}"
-
-RESTRICT="mirror strip"
-
-S="${DISTDIR}"
-
-src_unpack() {
- :
-}
-
-src_install() {
- newbin ${MY_PN}-${PV}-x64.AppImage ${MY_PN}
- domenu ${FILESDIR}/${MY_PN}.desktop
-}
-
-pkg_postinst() {
- xdg_desktop_database_update
-}
-
-pkg_postrm() {
- xdg_desktop_database_update
-}
-
diff --git a/sys-boot/etcher/etcher-1.19.21.ebuild b/sys-boot/etcher/etcher-1.19.21.ebuild
new file mode 100644
index 00000000..f35f8d9b
--- /dev/null
+++ b/sys-boot/etcher/etcher-1.19.21.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+BINTRON_NAME="balena-etcher"
+BINTRON_HOME="/opt/balenaEtcher/"
+
+CHROMIUM_LANGS="
+ af am ar bg bn ca cs da de el en-GB en-US es-419 es et fa fi fil fr gu he hi hr hu id it ja kn ko lt
+ lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk ur vi zh-CN zh-TW
+"
+
+inherit bintron-r1 unpacker
+
+DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
+HOMEPAGE="https://etcher.balena.io"
+SRC_URI="https://github.com/balena-io/etcher/releases/download/v${PV}/balena-etcher_${PV}_amd64.deb"
+S="${WORKDIR}/usr/lib/balena-etcher"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RESTRICT="mirror test"
+
+RDEPEND="
+ virtual/libudev
+"
+
+QA_PREBUILT="/opt/balenaEtcher/*"
+
+src_prepare() {
+ bintron-r1_src_prepare
+
+ # Weird symlink
+ rm balenaEtcher || die
+}
diff --git a/sys-boot/etcher/files/balenaEtcher.desktop b/sys-boot/etcher/files/balenaEtcher.desktop
deleted file mode 100644
index b839fc2e..00000000
--- a/sys-boot/etcher/files/balenaEtcher.desktop
+++ /dev/null
@@ -1,10 +0,0 @@
-[Desktop Entry]
-Name=balenaEtcher
-Exec=balenaEtcher %U
-Terminal=false
-Type=Application
-Icon=etcher-electron
-StartupWMClass=balenaEtcher
-Comment=Flash OS images to SD cards and USB drives, safely and easily.
-MimeType=x-scheme-handler/etcher;
-Categories=System;